> For the complete documentation index, see [llms.txt](https://docs.team-wilson.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.team-wilson.org/readme/api/modify-property.md).

# Modify Property

Two functions are used to modify the properties of PPG 3D classes specifically.

`ModifyProperty` is used to modify a singular defined object It uses 4 parameters.

1. Object to Update - `GameObject`
2. Class to Update - `string "className"`
3. Property to Update - `string "propertyName"`
4. New Value

Example:

<pre class="language-csharp"><code class="lang-csharp">GameObject.Find("Mod3DAPI").SendMessage("ModifyProperty", new object[]      
{
    Instance,
<strong>    "DPerson",
</strong>    "Blood",
    5000
}, SendMessageOptions.DontRequireReceiver);
</code></pre>

`ModifyPropertiesInChildren` is used to modify the properties of the children and main object. It also uses 4 parameters.

1. Parent to Update - `GameObject`
2. Class to Update - `string "className"`
3. Property to Update - `string "propertyName"`
4. New Value

Example:

```csharp
GameObject.Find("Mod3DAPI").SendMessage("ModifyPropertiesInChildren", new object[]          
{
    Instance,
    "Limb3D",
    "Health",
    150
}, SendMessageOptions.DontRequireReceiver);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.team-wilson.org/readme/api/modify-property.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
